# grep uuid metadata.json |cut -f2 -d: |sed -e 's![" ,]*!!g'
%global uuid hibernate-status@dromi

Name:           gnome-shell-extension-hibernate-status
Version:        1.2
Epoch:          1
Release:        %mkrel 3
Summary:        A gnome-shell extension for hibernation

Group:          Graphical desktop/GNOME 
License:        GPLv3+
URL:            https://github.com/arelange/gnome-shell-extension-hibernate-status
# git clone https://github.com/arelange/gnome-shell-extension-hibernate-status.git
# tar cfz gnome-shell-extension-hibernate-status{.tar.xz,}
#Source0:        %{name}.tar.xz
Source0:        https://github.com/arelange/gnome-shell-extension-hibernate-status/archive/v%{version}.tar.gz
Patch0:         version-support.diff
BuildArch:      noarch

Requires:       gnome-shell >= 3.18.0

%description
This simple extension adds an hibernate button to the GNOME right menu.

%prep
%autosetup -p0

%build
# Nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/gnome-shell/extensions/%uuid
cp -a [^L]* %{buildroot}/%{_datadir}/gnome-shell/extensions/%uuid

%files
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}/



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:1.2-3.mga8
+ Revision: 1501491
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:1.2-2.mga7
+ Revision: 1278440
- Mageia 7 Mass Rebuild

* Tue Mar 13 2018 tv <tv> 1:1.2-1.mga7
+ Revision: 1209042
- new version
- use Epoch due to bogus^W wonderful upstream versionning
- patch 0: add support for gnome-shell 3.28.0

* Tue Sep 20 2016 tv <tv> 7-6.mga6
+ Revision: 1054690
- add support for incoming gnome-shell 3.22.0

* Mon Jul 11 2016 tv <tv> 7-5.mga6
+ Revision: 1041184
- support more minor versions

* Tue Mar 22 2016 tv <tv> 7-4.mga6
+ Revision: 994172
- add support for 3.20.x

* Wed Mar 16 2016 tv <tv> 7-3.mga6
+ Revision: 992203
- rediff patch
- adjust supported versions

* Mon Feb 22 2016 tv <tv> 7-2.mga6
+ Revision: 975973
- drop support for older betas

* Tue Dec 29 2015 tv <tv> 7-1.mga6
+ Revision: 916727
- "new" version
- rediff patch

* Tue Dec 29 2015 tv <tv> 6-6.mga6
+ Revision: 916726
- declare it compatible with even more future versions

* Tue Dec 29 2015 tv <tv> 6-5.mga6
+ Revision: 916722
- declare it compatible with gnome-shell-3.9.x

* Fri Sep 25 2015 tv <tv> 6-4.2.mga6
+ Revision: 883488
- drop support for 3.17.x betas // bump req

* Fri Sep 18 2015 tv <tv> 6-4.mga6
+ Revision: 880285
- make it compatible with more versions

* Fri Sep 04 2015 tv <tv> 6-3.mga6
+ Revision: 872697
- whitelist 3.17.91 too

* Wed Sep 02 2015 tv <tv> 6-2.mga6
+ Revision: 872217
- make it works with gnome-shell-3.17.90
  (needs manual activation in https://extensions.gnome.org/local/ though)

* Wed Sep 02 2015 tv <tv> 6-1.mga6
+ Revision: 872208
- imported package gnome-shell-extension-hibernate-status


* Wed Sep 02 2015 Thierry Vignaud <tv@mageia.org> 6-1.mga6
- initial release
